org.springframework.cache.aspectj

## Class AspectJJCacheConfiguration

- java.lang.Object
- - org.springframework.cache.annotation.AbstractCachingConfiguration
  - - org.springframework.cache.jcache.config.AbstractJCacheConfiguration
    - - org.springframework.cache.aspectj.AspectJJCacheConfiguration

- All Implemented Interfaces:
    Aware, ImportAware

      @Configuration(proxyBeanMethods=false)
       @Role(value=2)
      public class AspectJJCacheConfiguration
      extends AbstractJCacheConfiguration

  `@Configuration` class that registers the Spring infrastructure beans necessary to enable AspectJ-based annotation-driven cache management for standard JSR-107 annotations.
  Since:
    4.1
  Author:
    Stephane Nicoll
  See Also:
    `EnableCaching`, `CachingConfigurationSelector`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

      `AbstractCachingConfiguration.CachingConfigurerSupplier`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.cache.jcache.config.AbstractJCacheConfiguration

      `exceptionCacheResolver`

    - ### Fields inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

      `cacheManager, cacheResolver, enableCaching, errorHandler, keyGenerator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AspectJJCacheConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.cache.aspectj.JCacheCacheAspect` | `cacheAspect(JCacheOperationSource jCacheOperationSource)`

    - ### Methods inherited from class org.springframework.cache.jcache.config.AbstractJCacheConfiguration

      `cacheOperationSource, useCachingConfigurer`

    - ### Methods inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

      `setImportMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AspectJJCacheConfiguration

          public AspectJJCacheConfiguration()

  - ### Method Detail

    - #### cacheAspect

          @Bean(name="org.springframework.cache.config.internalJCacheAspect")
           @Role(value=2)
          public org.springframework.cache.aspectj.JCacheCacheAspect cacheAspect(JCacheOperationSource jCacheOperationSource)